# Class AnimateRunner

- Defined in src/animations/animate-runner.js:49

##### Index

### Constructors

constructor

### Properties

_doneCallbacks
_state
_tick
host
promise

### Methods

_resolve
cancel
catch
complete
done
end
finally
getPromise
pause
progress
resume
setHost
then
all
chain

## Constructors

### constructor

- new AnimateRunner(host: any): AnimateRunner

  #### Parameters

  - host: any

  #### Returns AnimateRunner

  - Defined in src/animations/animate-runner.js:88

## Properties

### _doneCallbacks

_doneCallbacks: any[]

- Defined in src/animations/animate-runner.js:96

### _state

_state: number

- Defined in src/animations/animate-runner.js:104
- Defined in src/animations/animate-runner.js:177
- Defined in src/animations/animate-runner.js:190

### _tick

_tick: (fn: any) => void

- Defined in src/animations/animate-runner.js:97

### host

host: any

- Defined in src/animations/animate-runner.js:108

### promise

promise: Promise<any>

- Defined in src/animations/animate-runner.js:124

## Methods

### _resolve

- _resolve(response: any): void

  #### Parameters

  - response: any

  #### Returns void

  - Defined in src/animations/animate-runner.js:184

### cancel

- cancel(): void

  #### Returns void

  - Defined in src/animations/animate-runner.js:168

### catch

- catch(handler: any): Promise<any>

  #### Parameters

  - handler: any

  #### Returns Promise<any>

  - Defined in src/animations/animate-runner.js:141

### complete

- complete(response: any): void

  #### Parameters

  - response: any

  #### Returns void

  - Defined in src/animations/animate-runner.js:175

### done

- done(fn: any): void

  #### Parameters

  - fn: any

  #### Returns void

  - Defined in src/animations/animate-runner.js:111

### end

- end(): void

  #### Returns void

  - Defined in src/animations/animate-runner.js:161

### finally

- finally(handler: any): Promise<any>

  #### Parameters

  - handler: any

  #### Returns Promise<any>

  - Defined in src/animations/animate-runner.js:145

### getPromise

- getPromise(): Promise<any>

  #### Returns Promise<any>

  - Defined in src/animations/animate-runner.js:121

### pause

- pause(): void

  #### Returns void

  - Defined in src/animations/animate-runner.js:149

### progress

- progress(): void

  #### Returns void

  - Defined in src/animations/animate-runner.js:119

### resume

- resume(): void

  #### Returns void

  - Defined in src/animations/animate-runner.js:155

### setHost

- setHost(host: any): void

  #### Parameters

  - host: any

  #### Returns void

  - Defined in src/animations/animate-runner.js:107

### then

- then(resolveHandler: any, rejectHandler: any): Promise<any>

  #### Parameters

  - resolveHandler: any
  - rejectHandler: any

  #### Returns Promise<any>

  - Defined in src/animations/animate-runner.js:137

### `Static` all

- all(runners: any, callback: any): void

  #### Parameters

  - runners: any
  - callback: any

  #### Returns void

  - Defined in src/animations/animate-runner.js:72

### `Static` chain

- chain(chain: any, callback: any): void

  #### Parameters

  - chain: any
  - callback: any

  #### Returns void

  - Defined in src/animations/animate-runner.js:50